List feeds
GET
/projects/{projectId}/feedsLists all feeds for the active project with pagination.
Authorization
Bearer Authorization<token>
In: header
Path Parameters
projectId*string
Project ID
Query Parameters
limit?integer
Limit
Range
1 <= value <= 100Default
25offset?integer
Offset
Range
0 <= valueDefault
0Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/feedsv1.ListFeedsResponse",
"$ref-value": {
"properties": {
"feeds": {
"items": {
"$ref": "#/components/schemas/feedsv1.Feed",
"$ref-value": {
"properties": {
"allow_images": {
"type": "boolean"
},
"allow_videos": {
"type": "boolean"
},
"created_at": {
"type": "string"
},
"description": {
"type": "string"
},
"has_comments": {
"type": "boolean"
},
"has_likes": {
"type": "boolean"
},
"has_shares": {
"type": "boolean"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"project_id": {
"type": "string"
},
"updated_at": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
},
"total": {
"type": "integer"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/projects/string/feeds?limit=25&offset=0"OK
application/json
{
"$ref": "#/components/schemas/feedsv1.ListFeedsResponse",
"$ref-value": {
"properties": {
"feeds": {
"items": {
"$ref": "#/components/schemas/feedsv1.Feed",
"$ref-value": {
"properties": {
"allow_images": {
"type": "boolean"
},
"allow_videos": {
"type": "boolean"
},
"created_at": {
"type": "string"
},
"description": {
"type": "string"
},
"has_comments": {
"type": "boolean"
},
"has_likes": {
"type": "boolean"
},
"has_shares": {
"type": "boolean"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"project_id": {
"type": "string"
},
"updated_at": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
},
"total": {
"type": "integer"
}
},
"type": "object"
}
}